PlotWagonWheel {cheddar} | R Documentation

## Plot wagon wheel

### Description

Plot a nodes as concentric circles around a focal node.

### Usage

    PlotWagonWheel(community,
                   focus,
                   clockwise=TRUE,
                   origin.degrees=0,
                   frame.plot=FALSE,
                   main=NULL,
                   ...)

### Arguments

`community` | an object of class `Community`.
`focus` | the node to be placed at the centre of the plot - a node name or integer index.
`clockwise` | logical - if `TRUE` nodes are plotted in a clockwise order.
`origin.degrees` | the angle in degrees at which the first node in `community` will be placed.
`frame.plot` | logical.
`main` | the plot's title.
`...` | other values to `PlotNPS`.

### Details

The node given in `focus` is plotted at the centre of the wagon wheel. Other nodes in the community are plotted in concentric circles that are one, two, three etc trophic links away from the focus. Isolated nodes - those with no resources or consumers, other than possibly themselves - are not shown.

### Author(s)

Lawrence Hudson

### See Also

`Community`, `Degree`, `IsolatedNodes`, `OrderCommunity`, `PlotCircularWeb`, `PlotNPS`, `PlotWebByLevel`, `rgb`, `ShortestPaths`

### Examples

    data(TL84)
    # Ploesoma sp. is the focal species
    PlotWagonWheel(TL84, 'Ploesoma sp.')

    # Show nodes as numbers
    PlotWagonWheel(TL84, 'Ploesoma sp.', show.nodes.as='labels')

    # 'Daphnia pulex' is the focus, nodes ordered by degree (total number of
    # trophic links), lines partially transparent
    PlotWagonWheel(OrderCommunity(TL84, 'Degree'), 'Daphnia pulex',
                   show.nodes.as='labels', link.col=rgb(0.8,0.8,0.8,0.5))

[Package cheddar version 0.1-633 Index]